/**
 * @file      template-file.h
 * @brief     File containing example of doxygen usage for quick reference.
 * 
 * Here typically goes a more extensive explanation of what the header defines.
 *
 * @author    Name <email@example.com>
 * @copyright (c) Company Name/ Author, YEAR
 * @copyright Licensed under the Apache License, Version 2.0 <http://www.apache.org/licenses/LICENSE-2.0>
 * @copyright Licensed under the GNU GPLv3 License <http://www.gnu.org/licenses/gpl-3.0.txt>
 */

#ifndef _TEMPLATE_FILE_H
#define _TEMPLATE_FILE_H

// include system headers here

// then include more specific library headers

// include local headers last

/**
 * @brief Use brief, otherwise the index won't have a brief explanation.
 *
 * Detailed explanation.
 */
typedef enum BoxEnum_enum {
  BOXENUM_FIRST,  /**< Some documentation for first. */
  BOXENUM_SECOND, /**< Some documentation for second. */
  BOXENUM_ETC     /**< Etc. */
} BoxEnum;

/**
 * @brief This method adds two integers.
 * 
 * Detailed explanation.
 * @param a     First integer to add.
 * @param b     Second integer to add.
 * @return      The sum of both parameters.
 */
int add(int a, int b);

#endif /* _TEMPLATE_FILE_H */
